AXEN(4)

NAME
axen - ASIX Electronics AX88178a/AX88179 10/100/Gigabit USB Ethernet device

SYNOPSIS
axen* at uhub?
rgephy* at mii?

DESCRIPTION
The axen driver provides support for USB Ethernet adapters based on the ASIX Electronics AX88178a and AX88779 USB 2.0 chipsets (potentially the AX88779 supports USB 3.0, but there is currently no xhci support in OpenBSD), including the following:

Kurotoshiko GbE-USB3.0
Logitec LAN-GTJU3

The axen driver supports the following media types:

autoselect
    Enable autoselection of the media type and options (this is the default). The user can manually override the autoselected mode by adding media options to the appropriate hostname.if(5) file.

10baseT
    Set 10Mbps operation.

100baseTX
    Set 100Mbps (Fast Ethernet) operation.

1000baseT
    Set 1000Mbps (Gigabit Ethernet) operation.

For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), rgephy(4), usb(4), hostname.if(5), ifconfig(8)

HISTORY
The axen device driver first appeared in OpenBSD 5.4.

AUTHORS
-nosplit The axen driver was written by Yojiro UO <yuo@nui.org>.